#
# spec file for package perl-Hash-MoreUtils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Hash-MoreUtils
Version:        0.06
Release:        1.23
%define cpan_name Hash-MoreUtils
Summary:        Provide the stuff missing in Hash::Util
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Hash-MoreUtils/
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.9
%{perl_requires}

%description
Similar to List::MoreUtils, 'Hash::MoreUtils' contains trivial but
commonly-used functionality for hashes. The primary focus for the moment is
providing a common API - speeding up by XS is far away at the moment.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Sat Jun  9 2018 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Hash-MoreUtils/Changes
  0.06	2018-06-08
  - update toolchain for modern perl environments including
  * automated regression test
  * test coverage analyzation
  * pod coverage
  - introducing common code style
  - introduce a bunch of missing functions:
  * slice_without (Thanks to Theo van Hoesel <Th.J.v.Hoesel@THEMA-MEDIA.nl>)
  * slice_missing / slice_missing_map (Thanks to Christoph Zimmermann <christophemzim@web.de>)
  * slice_notdef / slice_notdef_map (Thanks to Christoph Zimmermann <christophemzim@web.de>)
  * slice_true / slice_true_map
  * slice_false / slice_false_map
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.05
  - Fix hashsort with sort block (Koichi Nakashima - http://nksm.name)
* Tue Oct  8 2013 coolo@suse.com
- updated to 0.04
  - add slice_map family
  - Changes reformatted as per CPAN::Changes::Spec
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.03
  - Add documentation about intended behaviour of slice* when no
    list given (fixing RT#77429 and RT#57095), thanks to Titi Ala'ilima
    and Bernhard Graf
  - Changes reformatted as per CPAN::Changes::Spec
  - Move to GitHub.com
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 19 2010 pascal.bleser@opensuse.org
- initial package (0.02)
